# Prediction API . training

## Instance Methods

Delete a trained model

Check training status of your model

Begin training your model

Add new data to a trained model

### Method Details

`delete(data)`

    Delete a trained model

    Args:
      data: string, mybucket/mydata resource in Google Storage (required)

`get(data)`

    Check training status of your model

    Args:
      data: string, mybucket/mydata resource in Google Storage (required)

    Returns:
      An object of the form:

        {
          "selfLink": "A String",
          "kind": "prediction#training",
          "trainingStatus": "A String",
          "id": "A String",
          "modelInfo": {
            "classificationAccuracy": 3.14,
            "meanSquaredError": 3.14,
            "modelType": "A String",
          },
        }

`insert(body, data=None)`

    Begin training your model

    Args:
      body: object, The request body. (required)
        The object takes the form of:

    {
        "selfLink": "A String",
        "kind": "prediction#training",
        "trainingStatus": "A String",
        "id": "A String",
        "modelInfo": {
          "classificationAccuracy": 3.14,
          "meanSquaredError": 3.14,
          "modelType": "A String",
        },
      }

      data: string, mybucket/mydata resource in Google Storage

    Returns:
      An object of the form:

        {
          "selfLink": "A String",
          "kind": "prediction#training",
          "trainingStatus": "A String",
          "id": "A String",
          "modelInfo": {
            "classificationAccuracy": 3.14,
            "meanSquaredError": 3.14,
            "modelType": "A String",
          },
        }

`update(data, body)`

    Add new data to a trained model

    Args:
      data: string, mybucket/mydata resource in Google Storage (required)
      body: object, The request body. (required)
        The object takes the form of:

    {
        "classLabel": "A String", # The true class label of this instance
        "csvInstance": [ # The input features for this instance
          "",
        ],
      }

    Returns:
      An object of the form:

        {
          "selfLink": "A String",
          "kind": "prediction#training",
          "trainingStatus": "A String",
          "id": "A String",
          "modelInfo": {
            "classificationAccuracy": 3.14,
            "meanSquaredError": 3.14,
            "modelType": "A String",
          },
        }